tigase.server.sreceiver

## Class NewTaskCommand

- java.lang.Object
- - tigase.server.sreceiver.NewTaskCommand

- All Implemented Interfaces:
    TaskCommandIfc

      public class NewTaskCommand
      extends Object
      implements TaskCommandIfc

  Describe class NewTaskCommand here. Created: Thu May 17 22:19:28 2007
  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Field Summary

    - ### Fields inherited from interface tigase.server.sreceiver.TaskCommandIfc

      `STEP, TASK_NAME_FIELD, TASK_TYPE_FIELD`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NewTaskCommand()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDescription()` Describe `getDescription` method here.
    `String` | `getNodeName()` Describe `getNodeName` method here.
    `void` | `processCommand(Packet packet, Packet result, StanzaReceiver receiv)` Describe `processCommand` method here.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NewTaskCommand

          public NewTaskCommand()

  - ### Method Detail

    - #### processCommand

          public void processCommand(Packet packet,
                                     Packet result,
                                     StanzaReceiver receiv)

      Description copied from interface: `TaskCommandIfc`
      Describe `processCommand` method here.
      Specified by:
        `processCommand` in interface `TaskCommandIfc`
      Parameters:
        `packet` - a `Packet` value
        `result` - a `Packet` value
        `receiv` - a `StanzaReceiver` value

    - #### getDescription

          public String getDescription()

      Description copied from interface: `TaskCommandIfc`
      Describe `getDescription` method here.
      Specified by:
        `getDescription` in interface `TaskCommandIfc`
      Returns:
        a `String` value

    - #### getNodeName

          public String getNodeName()

      Description copied from interface: `TaskCommandIfc`
      Describe `getNodeName` method here.
      Specified by:
        `getNodeName` in interface `TaskCommandIfc`
      Returns:
        a `String` value

Copyright © 2022 "Tigase, Inc.". All rights reserved.